Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 66337 - MythTV live CVS ebuilds
Summary: MythTV live CVS ebuilds
Status: VERIFIED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High enhancement (vote)
Assignee: Doug Goldstein
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-04 12:37 UTC by Preston Crow
Modified: 2006-01-17 15:57 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
All ebuilds (untar in /usr/local/portage) (myth-cvs.tar.bz2,7.43 KB, application/x-bzip2)
2004-10-04 12:41 UTC, Preston Crow
Details
All ebuilds (untar in /usr/local/portage) (myth-cvs.tar.bz2,7.27 KB, application/x-bzip2)
2004-10-04 18:48 UTC, Preston Crow
Details
All ebuilds (untar in /usr/local/portage) (myth-cvs.tar.bz2,7.36 KB, application/x-bzip2)
2005-01-06 08:28 UTC, Preston Crow
Details
All ebuilds (untar in /usr/local/portage) (myth-cvs.tar.bz2,7.34 KB, application/x-bzip2)
2005-01-11 09:56 UTC, Preston Crow
Details
nuvexport CVS ebuild (nuvexport-cvs.tar.gz,796 bytes, application/octet-stream)
2005-01-11 10:36 UTC, Scott Alfter
Details
All ebuilds including nuvexport (untar in /usr/local/portage) (myth-cvs.tar.bz2,7.78 KB, application/x-bzip2)
2005-01-25 20:32 UTC, Preston Crow
Details
All ebuilds including nuvexport (untar in /usr/local/portage) (myth-cvs.tar.bz2,9.53 KB, application/x-bzip2)
2005-05-01 14:46 UTC, Preston Crow
Details
All ebuilds, plus dvbstream, dvbtune, nuvexport (mythsvn.tar.bz2,10.69 KB, application/x-bzip2)
2005-07-21 19:29 UTC, Preston Crow
Details
All ebuilds (mythsvn.tar.bz2,10.54 KB, application/x-bzip2)
2005-10-11 14:45 UTC, Preston Crow
Details
All ebuilds (mythsvn.tar.bz2,10.57 KB, application/x-bzip2)
2005-10-12 09:04 UTC, Preston Crow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Preston Crow 2004-10-04 12:37:53 UTC
I've taken the MythTV project ebuilds and modified them to use live CVS sources.  I didn't have to make too many changes.  The mythtv-cvs and mythfrontend-cvs required some tinkering due to changes in the settings.pro file applied after the 0.16 release.

I'm not sure what version number should be associated with the ebuilds, so they're all -0.16 for now.

www-apps/mythweb-cvs
media-tv/mythtv-cvs
media-tv/mythfrontend-cvs
media-plugins/mythdvd-cvs
media-plugins/mythgame-cvs
media-plugins/mythmusic-cvs
media-plugins/mythnews-cvs
media-plugins/mythphone-cvs
media-plugins/mythweather-cvs
media-plugins/mythbrowser-cvs
media-plugins/mythgallery-cvs
media-plugins/mythvideo-cvs
Comment 1 Preston Crow 2004-10-04 12:41:12 UTC
Created attachment 41090 [details]
All ebuilds (untar in /usr/local/portage)

mythbrowser won't build, but I think it's a bug in today's cvs code. 
Everything else should install.

I suggest adding 'PORTDIR_OVERLAY="/usr/local/portage"' to /etc/make.conf and
untarring this in /usr/local/portage (until it becomes part of the standard
portage).
Comment 2 Seemant Kulleen (RETIRED) gentoo-dev 2004-10-04 13:31:43 UTC
we don't add live cvs ebuilds into portage.
Comment 3 Preston Crow 2004-10-04 17:23:55 UTC
Odd.  Several of the modules are installing in /usr/local.  I don't see what I have wrong.
Comment 4 Preston Crow 2004-10-04 18:48:45 UTC
Created attachment 41116 [details]
All ebuilds (untar in /usr/local/portage)

This fixes the /usr/local problem.  (I was referencing the eclasses in the
wrong order.)

Yes, I know this bug is closed, but I referenced it on the myth-users mailing
list, so people are looking for the ebuilds here.
Comment 5 donald webster 2004-11-02 21:28:28 UTC
I was having trouble getting this to compile, and I ended up adding the line below with a + in front of it to fix things.  Took me a while to figure it out ;p

emake -C libs/libavformat || die
+emake -C libs/libmythsamplerate || die
emake -C libs/libmyth || die
Comment 6 Petter Gundersen 2004-11-14 15:00:13 UTC
Now you also have to add the line

emake -C libs/libmythsoundtouch || die
Comment 7 Preston Crow 2005-01-06 08:28:35 UTC
Created attachment 47765 [details]
All ebuilds (untar in /usr/local/portage)
Comment 8 Preston Crow 2005-01-06 08:32:24 UTC
I've uploaded my latest interation.

Besides fixing a few bugs related to changes in the CVS code, this also enables the xrandr extension.  I believe that this is included in the Gentoo X server ebuilds, so it should be enabled here.  This feature is useful for HDTV viewing, in that it allows Myth to change resolutions to match the source material.

Known issue:  Sometimes you'll get a link error due to an undefined symbol.  This is because it's linking against /usr/bin/libmyth* instead of the versions just compiled.  The solution I use at the moment is:
mkdir /usr/bin/tmp;mv /usr/bin/libmyth* /usr/bin/tmp/
Then if the emerge fails, I can move the old libraries back; otherwise I remove them.
Comment 9 Petter Gundersen 2005-01-11 02:11:15 UTC
It's an error in the enabeling of the xrandr extension. Patch:

--- mythtv-cvs-0.16.ebuild.orig Tue Jan 11 11:03:09 2005
+++ mythtv-cvs-0.16.ebuild      Tue Jan 11 11:03:42 2005
@@ -124,8 +124,7 @@

        # xrandr should always be available with Gentoo X builds
        if true ; then
-               sed -e '/#CONFIG += using_xvmc *$/s:#::' \
-                       -e '/#CONFIG += using_xrandr/s:#::' \
+               sed -e '/#CONFIG += using_xrandr/s:#::' \
                        -e '/#DEFINES += USING_XRANDR/s:#::' \
                        -i 'settings.pro' || die "enable xrandr sed failed"
        fi
Comment 10 Preston Crow 2005-01-11 09:56:38 UTC
Created attachment 48216 [details]
All ebuilds (untar in /usr/local/portage)
Comment 11 Preston Crow 2005-01-11 09:58:11 UTC
Thanks for the bug report--obviously it was a cut-and-paste error when I copied the sed expression from the xvmc section to the xrandr section.  The same bug was in the mythfrontend ebuild, so I fixed it there, too.
Comment 12 Scott Alfter 2005-01-11 10:36:54 UTC
Created attachment 48224 [details]
nuvexport CVS ebuild

This nuvexport CVS ebuild should work with the other MythTV CVS ebuilds; unpack
it in /usr/local/portage.
Comment 13 Rob Rosenfeld 2005-01-23 15:32:01 UTC
g++ -c -pipe -Wall -W -O2 -march=athlon-xp -pipe -fomit-frame-pointer `freetype-config --cflags` -D_REENTRANT -fPIC  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DUSING_XRANDR -DUSING_XV -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I/usr/include -I../.. -I../libmyth -I.. -Idvbdev -Impeg -I../libavcodec -I../libmythmpeg2 -I/usr/qt/3/include -I/usr/X11R6/include -I/usr/X11R6/include -o videoout_ivtv.o videoout_ivtv.cpp
/usr/qt/3/bin/moc guidegrid.h -o moc_guidegrid.cpp
/usr/qt/3/bin/moc osd.h -o moc_osd.cpp
/usr/qt/3/bin/moc osdtypes.h -o moc_osdtypes.cpp
/usr/qt/3/bin/moc profilegroup.h -o moc_profilegroup.cpp
/usr/qt/3/bin/moc recordingprofile.h -o moc_recordingprofile.cpp
/usr/qt/3/bin/moc scheduledrecording.h -o moc_scheduledrecording.cpp
/usr/qt/3/bin/moc tv_play.h -o moc_tv_play.cpp
/usr/qt/3/bin/moc videosource.h -o moc_videosource.cpp
/usr/qt/3/bin/moc progfind.h -o moc_progfind.cpp
/usr/qt/3/bin/moc proglist.h -o moc_proglist.cpp
/usr/qt/3/bin/moc xbox.h -o moc_xbox.cpp
/usr/qt/3/bin/moc udpnotify.h -o moc_udpnotify.cpp
/usr/qt/3/bin/moc channeleditor.h -o moc_channeleditor.cpp
/usr/qt/3/bin/moc channelsettings.h -o moc_channelsettings.cpp
/usr/qt/3/bin/moc osdlistbtntype.h -o moc_osdlistbtntype.cpp
/usr/qt/3/bin/moc sr_dialog.h -o moc_sr_dialog.cpp
/usr/qt/3/bin/moc sr_items.h -o moc_sr_items.cpp
/usr/qt/3/bin/moc sr_root.h -o moc_sr_root.cpp
make: *** No rule to make target `../libmythmpeg2/libmythmpeg2-0.16.a', needed by `libmythtv-0.16.so.0.16.0'.  Stop.
make: *** Waiting for unfinished jobs....
make: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/libs/libmythtv'

!!! ERROR: media-tv/mythtv-cvs-0.16 failed.
!!! Function src_compile, Line 176, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 14 Rob Rosenfeld 2005-01-23 16:23:48 UTC
add the following before emake libmythtv to correct:

emake -C libs/libmythmpeg2 || die
Comment 15 Evan Alter 2005-01-23 19:14:18 UTC
g++ -Wl,-rpath,/usr/qt/3/lib -o mythfrontend main.o manualbox.o playbackbox.o viewscheduled.o globalsettings.o manualschedule.o programrecpriority.o channelrecpriority.o statusbox.o previousbox.o customrecord.o moc_manualbox.o moc_playbackbox.o moc_viewscheduled.o moc_manualschedule.o moc_programrecpriority.o moc_channelrecpriority.o moc_statusbox.o moc_previousbox.o moc_customrecord.o   -L/usr/qt/3/lib -L/usr/X11R6/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat -lmythtv-0.16 -lmythavformat-0.16 -lmythavcodec-0.16 -lmyth-0.16 -lfreetype -lmp3lame -L/usr/X11R6/lib -lXinerama -lXv -lX11 -lXext -lXxf86vm `artsc-config --libs` -lXvMCNVIDIA -lXvMC -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x160): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x124): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0xf8): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x15c): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendCheckBox+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendCheckBox+0x13c): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendCheckBox0_15CheckBoxSetting+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendCheckBox0_15CheckBoxSetting+0x110): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x124): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0xf8): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x15c): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericCheckBox+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericCheckBox+0x13c): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericCheckBox0_15CheckBoxSetting+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericCheckBox0_15CheckBoxSetting+0x110): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
collect2: ld returned 1 exit status
make[2]: *** [mythfrontend] Error 1
make[2]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs/mythfrontend'
make[1]: *** [sub-mythfrontend] Error 2
make[1]: *** Waiting for unfinished jobs....
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o server.o server.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o housekeeper.o housekeeper.cpp
/usr/qt/3/bin/moc httpstatus.h -o moc_httpstatus.cpp
/usr/qt/3/bin/moc mainserver.h -o moc_mainserver.cpp
/usr/qt/3/bin/moc server.h -o moc_server.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_httpstatus.o moc_httpstatus.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_mainserver.o moc_mainserver.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_server.o moc_server.cpp
g++ -Wl,-rpath,/usr/qt/3/lib -o mythbackend autoexpire.o encoderlink.o filetransfer.o httpstatus.o main.o mainserver.o playbacksock.o scheduler.o server.o housekeeper.o moc_httpstatus.o moc_mainserver.o moc_server.o   -L/usr/qt/3/lib -L/usr/X11R6/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat -lmythtv-0.16 -lmythavformat-0.16 -lmythavcodec-0.16 -lmyth-0.16 -lfreetype -lmp3lame -L/usr/X11R6/lib -lXinerama -lXv -lX11 -lXext -lXxf86vm `artsc-config --libs` -lXvMCNVIDIA -lXvMC -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread
make[2]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs/mythbackend'
make[1]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs'
make: *** [sub-programs] Error 2

!!! ERROR: media-tv/mythtv-cvs-0.16 failed.
!!! Function src_compile, Line 172, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 16 Evan Alter 2005-01-23 19:19:21 UTC
g++ -Wl,-rpath,/usr/qt/3/lib -o mythfrontend main.o manualbox.o playbackbox.o viewscheduled.o globalsettings.o manualschedule.o programrecpriority.o channelrecpriority.o statusbox.o previousbox.o customrecord.o moc_manualbox.o moc_playbackbox.o moc_viewscheduled.o moc_manualschedule.o moc_programrecpriority.o moc_channelrecpriority.o moc_statusbox.o moc_previousbox.o moc_customrecord.o   -L/usr/qt/3/lib -L/usr/X11R6/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat -lmythtv-0.16 -lmythavformat-0.16 -lmythavcodec-0.16 -lmyth-0.16 -lfreetype -lmp3lame -L/usr/X11R6/lib -lXinerama -lXv -lX11 -lXext -lXxf86vm `artsc-config --libs` -lXvMCNVIDIA -lXvMC -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV12StyleSetting+0x160): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC12StyleSetting0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendLineEdit+0x124): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendLineEdit0_15LineEditSetting+0xf8): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendComboBox+0x15c): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendComboBox0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendCheckBox+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15BackendCheckBox+0x13c): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendCheckBox0_15CheckBoxSetting+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15BackendCheckBox0_15CheckBoxSetting+0x110): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericLineEdit+0x124): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0x20): undefined reference to `LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0x24): undefined reference to `LineEditSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericLineEdit0_15LineEditSetting+0xf8): undefined reference to `virtual thunk [v:0,-60] to LineEditSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericComboBox+0x15c): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x58): undefined reference to `ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x5c): undefined reference to `ComboBoxSetting::setVisible(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericComboBox0_15ComboBoxSetting+0x130): undefined reference to `virtual thunk [v:0,-60] to ComboBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericCheckBox+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTV15GenericCheckBox+0x13c): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericCheckBox0_15CheckBoxSetting+0x3c): undefined reference to `CheckBoxSetting::setEnabled(bool)'
globalsettings.o(.gnu.linkonce.r._ZTC15GenericCheckBox0_15CheckBoxSetting+0x110): undefined reference to `virtual thunk [v:0,-60] to CheckBoxSetting::setEnabled(bool)'
collect2: ld returned 1 exit status
make[2]: *** [mythfrontend] Error 1
make[2]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs/mythfrontend'
make[1]: *** [sub-mythfrontend] Error 2
make[1]: *** Waiting for unfinished jobs....
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o server.o server.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o housekeeper.o housekeeper.cpp
/usr/qt/3/bin/moc httpstatus.h -o moc_httpstatus.cpp
/usr/qt/3/bin/moc mainserver.h -o moc_mainserver.cpp
/usr/qt/3/bin/moc server.h -o moc_server.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_httpstatus.o moc_httpstatus.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_mainserver.o moc_mainserver.cpp
g++ -c -pipe `artsc-config --cflags` -Wall -W -g -D_REENTRANT  -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DMMX -DCONFIG_VIDEO4LINUX -DUSING_IVTV -DLCD_DEVICE -DUSING_OSS -DUSING_XVMC -DUSING_OPENGL_VSYNC -DQT_THREAD_SUPPORT -I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs/libmythtv -I../../libs/libmyth -I../../libs -I/usr/include -I/usr/qt/3/include -o moc_server.o moc_server.cpp
g++ -Wl,-rpath,/usr/qt/3/lib -o mythbackend autoexpire.o encoderlink.o filetransfer.o httpstatus.o main.o mainserver.o playbacksock.o scheduler.o server.o housekeeper.o moc_httpstatus.o moc_mainserver.o moc_server.o   -L/usr/qt/3/lib -L/usr/X11R6/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat -lmythtv-0.16 -lmythavformat-0.16 -lmythavcodec-0.16 -lmyth-0.16 -lfreetype -lmp3lame -L/usr/X11R6/lib -lXinerama -lXv -lX11 -lXext -lXxf86vm `artsc-config --libs` -lXvMCNVIDIA -lXvMC -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread
make[2]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs/mythbackend'
make[1]: Leaving directory `/var/tmp/portage/mythtv-cvs-0.16/work/mythtv/programs'
make: *** [sub-programs] Error 2

!!! ERROR: media-tv/mythtv-cvs-0.16 failed.
!!! Function src_compile, Line 172, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 17 Preston Crow 2005-01-25 18:11:47 UTC
I now mostly understand the latest compilation problem:

g++ -Wl,-rpath,/usr/qt/3/lib -o mythfrontend main.o manualbox.o playbackbox.o viewscheduled.o globalsettings.o manualschedule.o programrecpriority.o channelrecpriority.o statusbox.o previousbox.o customrecord.o moc_manualbox.o moc_playbackbox.o moc_viewscheduled.o moc_manualschedule.o moc_programrecpriority.o moc_channelrecpriority.o moc_statusbox.o moc_previousbox.o moc_customrecord.o   -L/usr/qt/3/lib -L/usr/X11R6/lib -L../../libs/libmyth -L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat -lmythtv-0.16 -lmythavformat-0.16 -lmythavcodec-0.16 -lmyth-0.16 -lfreetype -lmp3lame -L/usr/X11R6/lib -lXinerama -lXv -lX11 -lXext -lXxf86vm -lXvMCNVIDIA -lXvMC -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread

Note the inclusion of -L/usr/X11R6/lib (twice).  This turns out to be set up as a symlink to /usr/lib, where it will find libmyth*.so from the previous installation.  That's why it's getting undefined reference errors.  I'm trying to figure out how to fix that; I'll upload new ebuilds once I get to the bottom of it.
Comment 18 Preston Crow 2005-01-25 20:32:49 UTC
Created attachment 49538 [details]
All ebuilds including nuvexport (untar in /usr/local/portage)

This latest version of the ebuilds solves two problems, both of which are
reported above:

It adds libmythmpeg2, which is a new library.
It removes -L/usr/X11R6/lib from the command line when building the programs if
it is a symlink to /usr/lib (as is often the case).

This only changes the mythtv-cvs and mythfrontend-cvs ebuilds.	I've also
included the nuvexport ebuild in the tar file for your convenience, so you only
need to download the one file to get everything.
Comment 19 Doug Goldstein gentoo-dev 2005-01-28 02:24:17 UTC
Preston, I've officially supported nuvexport CVS snapshots in Portage now even before you posted it up here.

Also feel free to come to #gentoo-mythtv or just msg me on Freenode to discuss this CVS stuff.
Comment 20 Marc Tousignant 2005-02-02 04:33:59 UTC
Error Building Mythmusic. I tried with and without MMX as I had read this was the cause of a previous build error. Both fail at the same point wiht similar messages.

With MMX
g++ -c -pipe -Wall -W -g -I/usr/include/SDL -D_REENTRANT -D_REENTRANT -fPIC  -D_GNU_SOURCE -DPREFIX=\"/usr\" -DHAVE_MMX -DQT_THREAD_SUPPORT -DQT_PLUGIN -I/usr/qt/3/mkspecs/linux-g++ -I. -I/usr/include -I/usr/include/cdda -I/usr/qt/3/include -I/usr/X11R6/include -o flacdecoder.o flacdecoder.cpp
g++ -c -pipe -Wall -W -g -I/usr/include/SDL -D_REENTRANT -D_REENTRANT -fPIC  -D_GNU_SOURCE -DPREFIX=\"/usr\" -DHAVE_MMX -DQT_THREAD_SUPPORT -DQT_PLUGIN -I/usr/qt/3/mkspecs/linux-g++ -I. -I/usr/include -I/usr/include/cdda -I/usr/qt/3/include -I/usr/X11R6/include -o flacencoder.o flacencoder.cpp
flacdecoder.cpp: In member function `void FlacDecoder::setFlacMetadata(const
   FLAC__StreamMetadata*)':
flacdecoder.cpp:144: error: `SetSourceBitrate' undeclared (first use this
   function)
flacdecoder.cpp:144: error: (Each undeclared identifier is reported only once
   for each function it appears in.)
cddecoder.cpp: In member function `virtual bool CdDecoder::initialize()':
cddecoder.cpp:141: error: `SetSourceBitrate' undeclared (first use this
   function)
cddecoder.cpp:141: error: (Each undeclared identifier is reported only once for
   each function it appears in.)
make[1]: *** [flacdecoder.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** [cddecoder.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/mythmusic-cvs-0.16/work/mythmusic/mythmusic'
make: *** [sub-mythmusic] Error 2

!!! ERROR: media-plugins/mythmusic-cvs-0.16 failed.
!!! Function myth_src_compile, Line 63, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Wihtout MMX
g++ -c -pipe -Wall -W -g -I/usr/include/SDL -D_REENTRANT -D_REENTRANT -fPIC  -D_GNU_SOURCE -DPREFIX=\"/usr\" -DQT_THREAD_SUPPORT -DQT_PLUGIN -I/usr/qt/3/mkspecs/linux-g++ -I. -I/usr/include -I/usr/include/cdda -I/usr/qt/3/include -I/usr/X11R6/include -o decoder.o decoder.cpp
g++ -c -pipe -Wall -W -g -I/usr/include/SDL -D_REENTRANT -D_REENTRANT -fPIC  -D_GNU_SOURCE -DPREFIX=\"/usr\" -DQT_THREAD_SUPPORT -DQT_PLUGIN -I/usr/qt/3/mkspecs/linux-g++ -I. -I/usr/include -I/usr/include/cdda -I/usr/qt/3/include -I/usr/X11R6/include -o flacdecoder.o flacdecoder.cpp
flacdecoder.cpp: In member function `void FlacDecoder::setFlacMetadata(const
   FLAC__StreamMetadata*)':
flacdecoder.cpp:144: error: `SetSourceBitrate' undeclared (first use this
   function)
flacdecoder.cpp:144: error: (Each undeclared identifier is reported only once
   for each function it appears in.)
make[1]: *** [flacdecoder.o] Error 1
make[1]: *** Waiting for unfinished jobs....
cddecoder.cpp: In member function `virtual bool CdDecoder::initialize()':
cddecoder.cpp:141: error: `SetSourceBitrate' undeclared (first use this
   function)
cddecoder.cpp:141: error: (Each undeclared identifier is reported only once for
   each function it appears in.)
make[1]: *** [cddecoder.o] Error 1
make[1]: Leaving directory `/var/tmp/portage/mythmusic-cvs-0.16/work/mythmusic/mythmusic'
make: *** [sub-mythmusic] Error 2

!!! ERROR: media-plugins/mythmusic-cvs-0.16 failed.
!!! Function myth_src_compile, Line 63, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.
Comment 21 Marc Tousignant 2005-02-02 13:57:53 UTC
disregard #20 in this bug.
rebuilt all myth cvs again and the error disappeared. Only thing I can think of is that someone updated after my CVS sync of mythtv but before the sync and build of music.
Comment 22 Evan Alter 2005-02-12 15:15:34 UTC
Since .17 came out is this still the place to get the current cvs ebuilds?
Comment 23 Ashley Bostock 2005-04-04 23:52:40 UTC
Current changes in CVS for autodetection of various setting is causing most (well at least dvb and xvmc) flags to be completely ignored, I now get the following during the configure stage and therefore can't build with dvb support.

DVB support      no [/usr/src/linux-2.6.11-gentoo-r5/include]

Any one got a fix for this?

Thanks,
Ash
Comment 24 Preston Crow 2005-05-01 14:46:19 UTC
Created attachment 57769 [details]
All ebuilds including nuvexport (untar in /usr/local/portage)
Comment 25 Preston Crow 2005-05-01 14:54:14 UTC
I've just uploaded new ebuilds that are current for CVS as of today.  A few notes:

The ebuilds are based on the official Gentoo ebuilds with only the necessary modifications to get them to work with the live source repositories.  The only exception is that I've enabled mmx on mythtv-cvs and mythfrontend-cvs, but I added a warning to reflect that the Gentoo maintainers believe that there are problems.

mythmusic-cvs fails to compile with the aac use flag right now, but I assume that's a code issue.

All plugins use the same repository, and it will only be downloaded once, but each build will do a cvs update.

I added x11-themes/mythtv-themes-cvs.  That's a weird ebuild, as it gets some themes from files, and others from CVS.

The media-tv/nuvexport-cvs build has been replaced by media-tv/nuvexport-svn, reflecting the move of that project from CVS to Subversion.  The version number is -0.2, as it is not tied to Myth releases.  You can use this ebuild with either the mythtv-cvs or regular mythtv ebuilds.
Comment 26 Simon Kenyon 2005-05-03 04:28:46 UTC
check out my ebuilds on the mythtv-dev. i've fixed the aac build problem. i've also added support for debug and profile USE flags.
Comment 27 Preston Crow 2005-07-21 19:29:01 UTC
Created attachment 64026 [details]
All ebuilds, plus dvbstream, dvbtune, nuvexport

This is the long overdue update for the switch from CVS to Subversion.

If you want to upgrade, the easy thing is to unmerge the -cvs version, then
emerge the -svn version.  The more complicated way is to rename
/var/db/pkg/media-*/myth*-cvs to the new -svn, and rename the .ebuild file in
each of those subdirectories, and then edit /var/lib/portage/world to list the
-svn ebuilds.  [If only portage allowed ebuilds to list ebuilds that they
replace.]

The mythtv-svn build allows you to specify a specific revision to update to:
MYTHTV_SVN_REVISION=6888 emerge mythtv-svn
I can easily add that to the other packages if someone finds it useful.

This includes the mythcontrols-svn ebuild for the new plugin.

I think the mythbrowser-svn ebuild is broken right now due to changes in the
configuration that I haven't figured out.
Comment 28 Preston Crow 2005-07-21 19:31:40 UTC
I should note that the ebuilds I just uploaded are based mostly on the work of
others as posted to the lists.  *** PLEASE *** If you make any changes, add a
line to the comments at the top to claim copyright for yourself, but absolutely
never remove any of the comments concerning authorship.
Comment 29 Gary Richards 2005-08-26 03:07:14 UTC
Hi, been trying to compile mythtv-svn for a few days. Thought i'd let people
know what i've found. Unfortunatly I haven't kept the error messages, so I have
made guesses at what these were (mainly taken from pages in which I found
through google explaining the likely problem). However, i'll list what I think
i've found out.


If you have xv enabled in your USE variable and something fails to compile
relating to xinerama, I fixed it by recompiling Qt with xinerama enabled.
Errors were very similar to this, I am unsure of which file was failing:
/usr/local/lib/libmyth-0.18.so: undefined reference to `XineramaIsActive'


If you have oss disabled in your USE variable, it fails with something like this:
NuppelVideoRecorder.cpp:637: error: `SNDCTL_DSP_SETFRAGMENT'
undeclared (first use this function) NuppelVideoRecorder.cpp:637: error: (Each
undeclared identifier is reported only once for each function it appears in.)
NuppelVideoRecorder.cpp:639: error: `AFMT_S16_LE' undeclared (first use this
function)
NuppelVideoRecorder.cpp:640: error: `SNDCTL_DSP_SETFMT' undeclared (first use
this function)
NuppelVideoRecorder.cpp:648: error: `SNDCTL_DSP_SAMPLESIZE' undeclared (first
use this function)
NuppelVideoRecorder.cpp:649: error: `SNDCTL_DSP_CHANNELS' undeclared (first use
this function)
NuppelVideoRecorder.cpp:650: error: `SNDCTL_DSP_SPEED' undeclared (first use
this function)
NuppelVideoRecorder.cpp:661: error: `SNDCTL_DSP_GETBLKSIZE' undeclared (first
use this function)

Simply enabling oss in USE seems to have fixed it.


The last problem I had was (I got a copy of the errors this time!):
make[2]: Entering directory
`/var/tmp/portage/mythtv-svn-0.18/work/mythtv/programs/mythprogfind'
i686-pc-linux-gnu-g++ -c -pipe -march=pentiumpro -Wall -W -O3 -Wall -Wno-switch
-Os -mcpu=i686 -msse -mmmx -mfpmath=sse -fomit-frame-pointer -pipe
-fomit-frame-pointer -D_REENTRANT  -DMMX -Di386 -DUSING_DBOX2 -D_GNU_SOURCE
-D_FILE_OFFSET_BITS=64 -DPREFIX=\"/usr\" -DQT_NO_DEBUG -DQT_THREAD_SUPPORT
-I/usr/qt/3/mkspecs/linux-g++ -I. -I../../libs -I../../libs/libmyth
-I/usr/include -I/usr/src/linux-2.6.11-epiam-r5/include -I/usr/qt/3/include -o
main.o main.cpp
g++  -o mythepg main.o    -L/usr/qt/3/lib -L../../libs/libmyth
-L../../libs/libmythtv -L../../libs/libavcodec -L../../libs/libavformat
-lmythtv-0.18 -lmythavformat-0.18 -lmythavcodec-0.18 -lmyth-0.18 -lfreetype
-lmp3lame -lasound -L/usr/X11R6/lib -lGL -lGLU -lqt-mt -lXext -lX11 -lm -lpthread
../../libs/libmyth/libmyth-0.18.so: undefined reference to
`ScreenSaverX11::ScreenSaverX11[in-charge]()'
collect2: ld returned 1 exit status
make[2]: *** [mythepg] Error 1
make[2]: Leaving directory
`/var/tmp/portage/mythtv-svn-0.18/work/mythtv/programs/mythepg'

This one I haven't been able to fix yet, i've found at least one other person
with the same problem, by searching online, but they were using Fedora Core 4,
they were asking on an IRC Channel but got no reply.


I hope this is of some help to others trying to compile this and hopefully some
help to people who are working on the ebuilds.
Comment 30 Marc Tousignant 2005-08-29 17:17:23 UTC
the final issue above was not an ebuild problem but a Gentoo problem. It was
fixed  in MythTV SVN Changeset 7170
Comment 31 Gary Richards 2005-08-30 08:01:38 UTC
(In reply to comment #30)
> the final issue above was not an ebuild problem but a Gentoo problem. It was
> fixed  in MythTV SVN Changeset 7170

I just tried again and it failed with the exact same error reported above. I
tried again after deleting /usr/portage/distfiles/svn-src and
/var/tmp/portage/mythtv-svn-0.18 and it failed again with the same error.
Comment 32 Jakub Moc (RETIRED) gentoo-dev 2005-08-30 08:05:40 UTC
Closing.
Comment 33 Preston Crow 2005-10-11 14:45:22 UTC
Created attachment 70417 [details]
All ebuilds

This is a significant update to reflect changes in the current subversion code
base.  All plugins should now build, though mythmusic-svn fails if AAC is
enabled.
Comment 34 Preston Crow 2005-10-11 14:51:44 UTC
Note that you can specify a specific revision when installing.  Set the
environment variables MYTHTV_SVN_REVISION and MYTHPLUGINS_SVN_REVISION to the
desired revision levels, and it will install the requested version.
Comment 35 Pedro Palhoto 2005-10-12 06:43:38 UTC
dbus gets downgraded to version 0.23.4-r1 whenever -uD is added to the emerge 
mythtv-svn command. I suppose this was not intended 
Comment 36 Pedro Palhoto 2005-10-12 06:45:47 UTC
While emerging mythtv-svn: 
 
[...] 
Unknown option "--enable-audio-arts". 
See ./configure --help for available options. 
Project ERROR: Please run the configure script first 
[...] 
Comment 37 Pedro Palhoto 2005-10-12 06:51:10 UTC
(In reply to comment #36)  
> While emerging mythtv-svn:   
>    
> [...]   
> Unknown option "--enable-audio-arts".   
> See ./configure --help for available options.   
> Project ERROR: Please run the configure script first   
> [...]   
  
The same thing happened to "--enable-audio-jack" when I disabled the arts USE  
flag. 
Comment 38 Preston Crow 2005-10-12 08:13:50 UTC
I'm not familiar with sys-apps/dbus.  It's not installed on my systems.

I'll look into the errors on enabling arts and jack.  The new non-autoconf
configure script isn't very forgiving of extra options.
Comment 39 Preston Crow 2005-10-12 09:04:34 UTC
Created attachment 70463 [details]
All ebuilds

This fixes two bugs in the mythtv-svn build.  There may be more bugs where the
USE flags say to use the default for a given option because the configure
script doesn't accept --disable-xxx for every --enable-xxx option; only the
non-default is allowed.  (Hopefully this will be fixed eventually.)
Comment 40 Pedro Palhoto 2005-10-13 05:15:20 UTC
(In reply to comment #38) 
> I'm not familiar with sys-apps/dbus.  It's not installed on my systems. 
 
More on D-BUS: http://www.freedesktop.org/Software/dbus 
 
"D-BUS is a message bus system, a simple way for applications to talk to one 
another.  
 D-BUS supplies both a system daemon (for events such as "new hardware device 
added" or "printer queue changed") and a per-user-login-session daemon (for 
general IPC needs among user applications). Also, the message bus is built on 
top of a general one-to-one message passing framework, which can be used by any 
two apps to communicate directly (without going through the message bus 
daemon)." 
 
From http://wiki.kde.org/tiki-index.php?page=DBUS I found out that: 
"Currently KDE does not support [dbus] version 0.31 or later. Use 0.23.x." 
Comment 41 Pedro Palhoto 2005-10-13 07:06:08 UTC
(In reply to comment #39) 
> Created an attachment (id=70463) [edit] 
> All ebuilds 
 
============ 
$ emerge mythtv-themes-cvs 
 
These are the packages that I would merge, in order: 
 
Calculating dependencies  /usr/lib/portage/bin/ebuild.sh: line 
1443: /usr/portage/eclass/myth-cvs.eclass: No such file or directory 
 
!!! ERROR: x11-themes/mythtv-themes-cvs-0.18 failed. 
!!! Function inherit, Line 1444, Exitcode 1 
!!! died sourcing /usr/portage/eclass/myth-cvs.eclass in inherit() 
!!! If you need support, post the topmost build error, NOT this status message. 
 
 
aux_get(): (0) Error in x11-themes/mythtv-themes-cvs-0.18 ebuild. (1) 
               Check for syntax error or corruption in the ebuild. (--debug) 
 
 
!!! All ebuilds that could satisfy "mythtv-themes-cvs" have been masked. 
!!! One of the following masked packages is required to complete your request: 
/usr/lib/portage/bin/ebuild.sh: line 1443: /usr/portage/eclass/myth-cvs.eclass: 
No such file or directory 
 
!!! ERROR: x11-themes/mythtv-themes-cvs-0.18 failed. 
!!! Function inherit, Line 1444, Exitcode 1 
!!! died sourcing /usr/portage/eclass/myth-cvs.eclass in inherit() 
!!! If you need support, post the topmost build error, NOT this status message. 
 
 
aux_get(): (0) Error in x11-themes/mythtv-themes-cvs-0.18 ebuild. (1) 
               Check for syntax error or corruption in the ebuild. (--debug) 
 
 
!!! Problem in x11-themes/mythtv-themes-cvs dependencies. 
!!!  exceptions 
============ 
 
Whenever I "emerge search myth" a "/usr/portage/eclass/myth-cvs.eclass: No such 
file or directory" error also occurs. 
Comment 42 Preston Crow 2005-10-13 07:34:22 UTC
Sorry about that.  The myth-themes-cvs ebuild isn't current.  Most of the themes
are part of the mythtv-svn or mythfrontend-svn ebuilds.  I don't have support
for the unofficial third-party themes right now.

Also, if you have older myth*-cvs ebuilds, you'll need to keep the
myth-cvs.eclass in /usr/local/portage/eclass until you have upgraded, or they
won't be able to unmerge.
Comment 43 Pedro Palhoto 2005-10-13 08:47:57 UTC
(In reply to comment #42)   
> Also, if you have older myth*-cvs ebuilds, you'll need to keep the   
> myth-cvs.eclass in /usr/local/portage/eclass until you have upgraded, or they   
> won't be able to unmerge.   
   
I only started using myth*-svn builds a few days ago, never tried the myth*-cvs  
ones.  
  
Shouldn't the myth-cvs.eclass file be in the most recent mythsvn.tar.bz2 pack  
to serve myth-themes-cvs to avoid problems to newcomers? 
Comment 44 Preston Crow 2005-10-13 09:11:03 UTC
The myth-themes-cvs package should be removed.
Comment 45 Jakub Moc (RETIRED) gentoo-dev 2005-10-13 09:16:34 UTC
Now - this bug has been CLOSED WONTFIX for ages. Everyone here, please find
another place to work on this and don't bugspam other people who cannot remove
themselves from CC (like bug wranglers). 

Thanks!
Comment 46 Doug Goldstein gentoo-dev 2005-10-13 11:04:10 UTC
Thing is Jakub, I've offered all these people to make regular SVN snapshots
available through Portage and they might include a patch or two from me that I
want tested before I commit it upstream. All I've asked is that they contact me
and whenever I provide a snapshot they let me know if it's not a good SVN
version to use and I'll update the snapshot.

They even duplicate some ebuilds which are provided through Portage. Like
nuvexport, everytime either Beirdo or xris (the only two devs of nuvexport)
commit to it, I repackage up a snapshot. So writing a CVS/SVN ebuild and using
it won't give you anything newer.
Comment 47 Jakub Moc (RETIRED) gentoo-dev 2005-10-13 11:13:40 UTC
Reopen to reduce bugspam for bug-wranglers.
Comment 48 Jakub Moc (RETIRED) gentoo-dev 2005-10-13 11:14:56 UTC
Re-assign...
Comment 49 Jakub Moc (RETIRED) gentoo-dev 2005-10-13 11:15:16 UTC
... and close again.
Comment 50 Jakub Moc (RETIRED) gentoo-dev 2005-10-13 11:15:30 UTC
CLOSED
Comment 51 Marc Tousignant 2005-10-17 09:57:15 UTC
(In reply to comment #39)
> Created an attachment (id=70463) [edit]
> All ebuilds
> 
> This fixes two bugs in the mythtv-svn build.  There may be more bugs where the
> USE flags say to use the default for a given option because the configure
> script doesn't accept --disable-xxx for every --enable-xxx option; only the
> non-default is allowed.  (Hopefully this will be fixed eventually.)

Simplest fix is to edit the configure script to not exit when errors are
detected. Additionally you can also make it not report the errors.
Commenting out 3 lines is all you need.
Comment 52 MasterC 2006-01-17 13:09:55 UTC
There is no reason a Live-SVN (CVS) ebuild cannot exist according to the ebuild policy:
http://www.gentoo.org/proj/en/devrel/handbook/handbook.xml?part=3&chap=1#doc_chap3

A snippet for people looking for the exact entry there:
""Live" cvs.eclass ebuilds are generally only intended for the convenience of developers and should always be masked with a ~[arch] keyword. It is impossible to guarantee the reliability of a "live" cvs.eclass ebuild since the upstream cvs tree may change at any time, which is why they should always be masked."

Though snapshots are preferred, they are not required.

Also, please read:
http://forums.gentoo.org/viewtopic-t-422062.html

The community wants it, I don't see why the people who have the ability/power to institute this can't/won't/don't.

Is there something else we are all blindly over-looking?  Please enlighten us if we are.  If not, please add the SVN ebuilds to the official portage tree so people will actually apply their fixes/patches to help out a larger audience.

Thanks!

Chad
Comment 53 Doug Goldstein gentoo-dev 2006-01-17 15:57:29 UTC
Not going to happen. There will be none of these trashy ebuilds added to the tree.

In fact I've already added SVN snapshot ebuilds to the tree which I will support. Not Live CVS/SVN.

I don't care if users want it, a developer has to maintain it then. I'm not willing to maintain it and no other developer is, so use these ebuilds at your own risk. There's plenty of problems with them and plenty of users whining on the list or on IRC. MythTV upstream will refuse to help you with any issues you have if you use these ebuilds and they will refer you to my ebuilds.

The issue has been argued for over a year now. It's done, finished, and closed.